2019-12-09 07:12 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002078Spring engineGeneralpublic2010-10-23 11:43
Reporterzwzsg 
Assigned Tohoijui 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.82.5 
Target VersionFixed in Version0.82.6 
Summary0002078: NullAI crash
DescriptionLooks like the NuallAI in 82.5 windows installer is broken:
http://uppix.net/5/b/8/c82f3f58f3b367b9e5f9e9c475da2.png

[ 0] ERROR: Skirmish AI NullAI-0.1 not found!
The game will go on without it.
This usually indicates a problem in the used AI Interface library (-),
or the Skirmish AI library is not in the same place as its AIInfo.lua.
[ 60] Skirmish AI "Bot" took over control of team 1

KAIK and the Java NuallAI AI load fine though.

Not terribly important since anyway NullAI is supposed to do nothing, but it looks rather bad when an app spout scary error message on startup.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0005434

zwzsg (reporter)

Also overheard this in #sy
<DeadnightWarrior> why does NullAI from latest builds crash on Win7 x64?
<DeadnightWarrior> I used the one from 0.81.2 and it worked fine
<DeadnightWarrior> there is a substantial size diference as well, 5KB vs 54KB

~0005494

hoijui (reporter)

infolog please

~0005787

abma (administrator)

please retry with current version of spring and attach infolog.txt if crash still occurs.

~0005788

hoijui (reporter)

magically disappeared (Z told me in chat, when testing the release candidate)
+Notes

-Issue History
Date Modified Username Field Change
2010-09-03 23:00 zwzsg New Issue
2010-09-03 23:02 zwzsg Note Added: 0005434
2010-09-05 09:30 hoijui File Added: trans.html
2010-09-05 09:32 hoijui File Deleted: trans.html
2010-09-10 20:03 hoijui Note Added: 0005494
2010-10-23 11:16 abma Note Added: 0005787
2010-10-23 11:16 abma Status new => feedback
2010-10-23 11:16 abma Severity minor => crash
2010-10-23 11:43 hoijui Note Added: 0005788
2010-10-23 11:43 hoijui Status feedback => resolved
2010-10-23 11:43 hoijui Fixed in Version => 0.82.6
2010-10-23 11:43 hoijui Resolution open => fixed
2010-10-23 11:43 hoijui Assigned To => hoijui
+Issue History